package com.engine.salary.component;

import java.io.Serializable;

public class WeaFormOption implements Serializable {
    private static final long serialVersionUID = -4539753893868901626L;
    private String id;
    private String content;
    private boolean disabled;

    private boolean canEdit;

    private boolean canDelete;

    public WeaFormOption() {
        this.disabled = Boolean.FALSE;
    }

    public WeaFormOption(String id, String content) {
        this.disabled = Boolean.FALSE;
        this.canEdit = Boolean.TRUE;
        this.canDelete = Boolean.TRUE;
        this.id = id;
        this.content = content;
    }

    public WeaFormOption(String id, String content, boolean canEdit, boolean canDelete) {
        this.disabled = Boolean.FALSE;
        this.id = id;
        this.content = content;
        this.canEdit = canEdit;
        this.canDelete = canDelete;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }


    public boolean isDisabled() {
        return this.disabled;
    }

    public void setDisabled(boolean disabled) {
        this.disabled = disabled;
    }

    public boolean isCanEdit() {
        return canEdit;
    }

    public void setCanEdit(boolean canEdit) {
        this.canEdit = canEdit;
    }

    public boolean isCanDelete() {
        return canDelete;
    }

    public void setCanDelete(boolean canDelete) {
        this.canDelete = canDelete;
    }
}
